## SSH SOCSK (ProxyTunnel)
#### Command
`ssh -C -D <proxyport> <USERNAME>@<SYSTEM>`

* -C : enables compression
* -D : specifies Socks proxyport 

### Firefox
1. go to Edit -> Preferences -> Advanced -> Network -> Connection -> Settings...
2. check "Manual proxy configuration"
3. make sure "Use this proxy server for all protocols" is cleared
4. clear "HTTP Proxy", "SSL Proxy", "FTP Proxy", and "Gopher Proxy" fields
5. enter "127.0.0.1" for "SOCKS Host"
6. enter "1080" (or whatever port you chose) for Port.

## SSH Remote forward (makes local port apear on remote machine)

#### Port to be internaly binded on remote machine

`ssh -R <remoteport>:<address in local network or localhost>:<localport> <USERNAME>@<SYSTEM>`

#### Port to be binded to remote machine 

`ssh -g -R *:<remoteport>:<address in local network or localhost>:<localport> <USERNAME>@<SYSTEM>`

* -R : Remote forward
* -N : Do not execute a remote command
* -g : forward to remote network

### SSHD config (on remote where ports are forwarded to)
* GatewayPorts no : only allows the remote system to connect
* GatewayPorts yes: allows the remote network to connect to the forwarded port
* GatewayPorts clientspecified : allows the remote network to connect to the forwarded port when -g switch is used


## SSH Local forward (makes remote port apear on local machine)

#### Remote port to be binded on local machine

`ssh -L <bindPort>:<address in remote network or localhost>:<remote port> <USERNAME>@<SYSTEM>`

* -L : Local forward